
/* A mutable class for lines
 * 
 * mutable because Point is mutable 
 */

class Line (s:Point,e:Point) {

  private val sp : Point = s
  private val ep : Point = e

  def start ():Point = sp
  def end ():Point = ep

  override def toString ():String = "[" + sp + " <-> " + ep + "]"
}
