
/* A mutable class for triangles
 * 
 * mutable because Point and Line is mutable 
 */


class Triangle (b:Line, p:Point) {

  val base:Line = b
  val tip:Point = p

  def side1 ():Line = base

  def side2 ():Line = new Line(base.start(),tip)

  def side3 ():Line = new Line(base.end(),tip)

  override def toString ():String = side1() + "  " + side2() + "  " + side3()
}
